#!/usr/bin/perl
#
# W3C Markup Validation Service
# A CGI script to retrieve and validate a markup file
#
# Copyright 1995-2010 World Wide Web Consortium, (Massachusetts
# Institute of Technology, European Research Consortium for Informatics
# and Mathematics, Keio University). All Rights Reserved.
#
# Originally written by Gerald Oskoboiny <gerald@w3.org>
# for additional contributors, see
# http://dvcs.w3.org/hg/markup-validator/shortlog/tip and
# http://validator.w3.org/about.html#credits
#
# This source code is available under the license at:
#     http://www.w3.org/Consortium/Legal/copyright-software

# split out from the validator.pl file for better readability

use warnings; 
use strict; 


package W3C::Validator::Util;


our @EXPORT = qw(get_tip);


#
# Return random tip and its URL.
sub get_tip
{
	my ($CFG) = @_;
	
	
    my @tipAddrs = keys %{$CFG->{Tips}};
    my $tipAddr  = $tipAddrs[rand scalar @tipAddrs];
    my $tipSlug  = $CFG->{Tips}->{$tipAddr};

    return [$tipAddr, $tipSlug];
}


# keep this one
1;
__END__